| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StarRec Class Reference

Class for storing star information. More...

List of all members.

## Public Member Functions
| StarRec ()
| Constructor.
| StarRec (final boolean starFlag, final String starIdentity, final double parallax, final double muRAscension, final double muDeclination, final double radVelocity, final double starRAscension, final double starDeclination)
| Constructor with parameters.
## Public Attributes
boolean | flag
| true if the star was found in the star database file.
String | starId
| Star ID.
double | par
| Parallax of the star at JD2000 (rads).
double | muRa
| RA's proper motion at JD2000 (rad/century).
double | muDec
| DEC's proper motion at JD2000 (rad/century).
double | radVel
| Radial velocity of the star (au/century).
double | starRa
| RA of the star at JD2000 (rads).
double | starDec
| DEC of the star at JD2000 (rads).

## Detailed Description

Class for storing star information.

## Constructor & Destructor Documentation

EECFI.StarRec.StarRec | ( |  | ) |

Constructor.

EECFI.StarRec.StarRec | ( | final boolean | starFlag,
|  | final String | starIdentity,
|  | final double | parallax,
|  | final double | muRAscension,
|  | final double | muDeclination,
|  | final double | radVelocity,
|  | final double | starRAscension,
|  | final double | starDeclination |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

boolean EECFI.StarRec.flag

true if the star was found in the star database file.

double EECFI.StarRec.muDec

DEC's proper motion at JD2000 (rad/century).

double EECFI.StarRec.muRa

RA's proper motion at JD2000 (rad/century).

double EECFI.StarRec.par

Parallax of the star at JD2000 (rads).

double EECFI.StarRec.radVel

Radial velocity of the star (au/century).

double EECFI.StarRec.starDec

DEC of the star at JD2000 (rads).

String EECFI.StarRec.starId

Star ID.

double EECFI.StarRec.starRa

RA of the star at JD2000 (rads).